Bug 251214 - SIM card failed/pin code failed popup
Summary: SIM card failed/pin code failed popup
Status: RESOLVED FIXED
Alias: None
Product: knetworkmanager
Classification: Miscellaneous
Component: cellular (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-14 14:47 UTC by David Heidelberg
Modified: 2011-07-09 12:55 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: nm09 branch / KDE 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Heidelberg 2010-09-14 14:47:09 UTC
Version:           unspecified
OS:                Linux

In KnetworkManager missing popup, that say, there is sim card missing. I spend lot time figuring out, why it doesn't work... After one hour, I hit in syslog that missing simcard (it was wrong oriented). Another problem was with PIN code

Reproducible: Always

Steps to Reproduce:
Insert SIM card into modem device wrong and then spend time figuring out, why it doesn't work


Expected Results:  
1) NetworkManager tell, why it failed. So "SIM card not found".

2) When PIN is wrong or not entered, NM ask for PIN and tell, that already entered is wrong.

Kubuntu 10.04
Comment 1 Lamarque V. Souza 2011-07-08 00:14:01 UTC
Git commit 28bc1f52cca5985f1d324dbf6a9d7ac18404794a by Lamarque V. Souza.
Committed on 08/07/2011 at 02:12.
Pushed by lvsouza into branch 'nm09'.

Show error if PIN/PUK unlock fails.

BUG: 251214
FIXED-IN: nm09 branch / KDE 4.7.0

M  +31   -11   libs/service/networkinterfacemonitor.cpp     
M  +2    -0    libs/service/networkinterfacemonitor.h     

http://commits.kde.org/networkmanagement/28bc1f52cca5985f1d324dbf6a9d7ac18404794a
Comment 2 David Heidelberg 2011-07-09 12:55:28 UTC
I can't verify it right now, but I believe that everything is OK

Thank you! :-)